# FileDetails

Information associated with files
## Properties

| Name | Type | Required | Description |
|------|------|----------|-------------|
| **file_name** | **str** | Required |  |
| **file_type** | **str** | Optional |  |
| **id** | **str** | Required |  |


## Usage

### Creating from keyword arguments

```python
from finbourne.sdk.services.horizon.models.FileDetails import FileDetails

instance = FileDetails(
    file_name="...",  # required — 
    file_type="...",  # optional — 
    id="..."  # required — 
)
```



[Back to top](#) · [Back to API list](../../api_endpoints.md) · [Back to Model list](../../models.md) · [Back to README](../../../../../README.md)

